#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
#define CRP(t, x) const t &x
#define OPL(t, x) bool operator<(CRP(t, x)) const
#define FIL(x, v) memset(x, v, sizeof(x))
#define CLR(x) FIL(x, 0)
#define NE1(x) FIL(x, -1)
#define INF(x) FIL(x, 0x3f)
typedef long long ll, i64;
const int N = 2050;
char s[N], mp[28];
int cnt[128];
int main()
{
    int T, n;
    scanf("%d", &T);
    for (int t = 1; t <= T; t++)
    {
        printf("Case #%d: ", t);
        CLR(cnt), n = 0;
        scanf("%s%s", s, mp);
        for (char *p = s; *p; p++, n++)
            cnt[mp[*p - 'a']]++;
        if (cnt['h'] * 4 >= n)
            puts("Harmful");
        else if (cnt['h'] * 10 <= n)
            puts("Recyclable");
        else if (cnt['d'] >= cnt['w'] * 2)
            puts("Dry");
        else
            puts("Wet");
    }
    return 0;
}